RCE-уязвимость в продуктах D-Link не будет исправлена

В сентябре текущего года специалисты Fortinet обнаружили в ряде маршрутизаторов D-Link серьезную уязвимость, приводящую к выполнению удаленного кода (CVE-2019-16920). Ошибка получила 9,8 баллов по шкале CVSS v3.1 и 10 баллов по шкале CVSS v2.0.

По словам специалистов, проблема затрагивает прошивки в линейках DIR-655, DIR-866L, DIR-652 и DHP-1565, и допускает неаутентифицированные инъекции команд. Для эксплуатации бага злоумышленники могут умышленно выполнить вход в систему с «плохой» аутентификацией. Дело в том, что при проверке неверной аутентификации код все равно будет выполнен, независимо от того, имеет ли пользователь право на это. В итоге простая отправка запроса HTTP POST через PingTest позволит атакующему либо получить учетные данные администратора, либо установить бэкдор.

Исследователи рассказали специалистам D-Link о проблеме еще в конце сентября, и хотя в компании почти сразу признали наличие уязвимости, через три дня производитель сообщил, что исправлений для бага не будет, так как поддержка уязвимых продуктов уже давно прекращена. Так что теперь пользователям уязвимых маршрутизаторов рекомендуют подумать о замене устаревших продуктов ради снижения рисков.

Мария Нефёдова: Блондинка, гик, книжный червь, синефил. Редактор ленты новостей; иногда автор Сцены.

Комментарии (2)

  • Почему-то когда новость про d-link, то обязательно про то, что они не собираются закрывать уязвимости. Совсем не заботятся о клиентах.

  • Хорошо

    и хотя в компании почти сразу признали наличие уязвимости, через три дня производитель сообщил, что исправлений для бага не будет, так как поддержка уязвимых продуктов уже давно прекращена

    ...и вообще, мы домой пошли - нам уже давно спать пора.